Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
sign-raw
Sign Raw
curl --request POST \
  --url https://api.beta.getpara.com/v1/wallets/{walletId}/sign-raw \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "data": "0x48656c6c6f20576f726c64",
  "encoding": "hex",
  "walletType": "EVM"
}
'
{
  "signature": "a1b2c3d4e5f6..."
}

Authorizations

X-API-Key
string
header
default:beta_239a31fee5298dc110ee6a78e274b809
required

Your partner secret key (server-side only)

Headers

X-Request-Id
string<uuid>

UUID for request tracing. Para returns one if omitted.

Path Parameters

walletId
string
required

Wallet ID

Example:

"0a1b2c3d-4e5f-6789-abcd-ef0123456789"

Body

application/json
data
string
required

Hex-encoded data to sign (optional 0x prefix)

Example:

"0x48656c6c6f20576f726c64"

encoding
enum<string>
default:hex

Encoding of data. Currently only hex is supported.

Available options:
hex
walletType
enum<string>

Expected wallet type. If provided and the wallet is a different type, the request is rejected.

Available options:
EVM,
SOLANA,
COSMOS

Response

Signature

signature
string

Hex-encoded signature without 0x prefix. For DKLS/CGGMP: 65 bytes (r + s + v).

Example:

"a1b2c3d4e5f6..."